<script lang="ts">
import Vue from 'vue';
import SecurityHeroAnimation from './assets/security-hero-animation.vue';
import ParallaxContainer from './parallax-container.vue';

export default Vue.extend({
  name: 'SurveyHero',
  components: {
    SecurityHeroAnimation,
    ParallaxContainer,
  },
  props: {
    data: {
      type: Object,
      required: true,
      default() {
        return {};
      },
    },
  },
});
</script>

<template>
  <div class="survey-hero" :class="data.variant">
    <SlpContainer
      ><div v-if="data.animation" class="survey-hero__animation">
        <component :is="data.animation" />
      </div>

      <div
        v-if="data.background"
        class="survey-hero__background"
        data-aos="zoom-in-up"
        :data-aos-duration="data.aos_duration"
        :data-aos-offset="data.aos_offset"
      >
        <ParallaxContainer :offset="0.03">
          <nuxt-img :src="data.background" alt="" loading="lazy" />
        </ParallaxContainer>
      </div>
      <SlpRow class="survey-hero__text-content">
        <SlpColumn class="survey-hero__content">
          <div v-if="data.note?.text" class="survey-hero__wrapper">
            <SlpTypography
              variant="heading5"
              tag="p"
              class="survey-hero__note slp-mb-24 survey-hero__wrapper__content"
              :data-aos="data.aos_animation"
              :data-aos-duration="data.aos_duration"
              :data-aos-offset="data.aos_offset"
              >{{ data.note.text }}</SlpTypography
            >
          </div>
          <div v-if="data.title.text" class="survey-hero__wrapper">
            <SlpTypography
              variant="heading1-bold"
              tag="h1"
              class="survey-hero__wrapper__content slp-mb-24 survey-hero__title"
              :data-aos="data.aos_animation"
              :data-aos-duration="data.aos_duration"
              :data-aos-offset="data.aos_offset"
              >{{ data.title.text }}</SlpTypography
            >
          </div>
          <SlpRow>
            <SlpColumn :cols="10">
              <div v-if="data.description.text" class="survey-hero__wrapper">
                <SlpTypography
                  variant="heading5-bold"
                  tag="div"
                  class="survey-hero__wrapper__content slp-mb-24"
                  :data-aos="data.aos_animation"
                  :data-aos-duration="data.aos_duration"
                  :data-aos-offset="data.aos_offset"
                >
                  <div v-html="data.description.text"></div
                ></SlpTypography>
              </div>
              <div v-if="data.primary_btn?.text" class="survey-hero__wrapper">
                <SlpButton
                  variant="primary"
                  class="survey-hero__wrapper__content slp-mb-8 survey-hero__button"
                  :data-ga-name="
                    data.primary_btn.data_ga_name || 'read the full survey'
                  "
                  :data-ga-location="
                    data.primary_btn.data_ga_location || 'hero'
                  "
                  :href="data.primary_btn.url || '#download'"
                  :data-aos="data.aos_animation"
                  :data-aos-duration="data.aos_duration"
                  :data-aos-offset="data.aos_offset"
                  >{{ data.primary_btn.text }}
                  <SlpIcon
                    v-if="data.primary_btn.icon"
                    :name="data.primary_btn.icon.name"
                    :variant="data.primary_btn.icon.variant"
                    class="slp-ml-8"
                  />
                </SlpButton>
              </div>
            </SlpColumn>
          </SlpRow>
        </SlpColumn>
      </SlpRow>
    </SlpContainer>
  </div>
</template>

<style lang="scss" scoped>
.survey-hero {
  color: $color-primary-300;
  position: relative;
  padding: 0;
  @media (min-width: $breakpoint-md) {
    padding: $spacing-160 0;
  }
  &__animation {
    position: absolute;
    top: 0%;
    width: 100%;
    max-width: 540px;
    @media (min-width: $breakpoint-md) {
      top: -34%;
    }
  }
  &__title {
    color: #5dd7b1;
  }
  &__wrapper {
    overflow-y: hidden;
    overflow-y: clip;
    z-index: 1;
  }
  &__background {
    position: absolute;
    top: -35%;
    left: 29%;
    @media (min-width: $breakpoint-md) {
      top: -95%;
    }
  }
  &__content {
    margin-left: 0;
    @media (min-width: $breakpoint-md) {
      margin-left: $spacing-96;
    }
  }
  &__text-content {
    z-index: 1;
    position: relative;
  }
  :deep a:not(.slp-btn) {
    text-decoration: underline;
    color: $color-primary-300;
  }
}
</style>
